package com.example.mialertdialog;

import androidx.appcompat.app.AppCompatActivity;

import android.app.AlertDialog;
import android.content.DialogInterface;
import android.os.Bundle;
import android.text.InputFilter;
import android.text.InputType;
import android.view.Gravity;
import android.view.View;
import android.widget.Button;
import android.widget.EditText;
import android.widget.LinearLayout;
import android.widget.Spinner;
import android.widget.TextView;
import android.widget.Toast;

public class MainActivity extends AppCompatActivity {
    private EditText txtNombre;
    private Button btnConfirmar;
    private TextView txtConfirmar;
    private AlertDialog.Builder builder;
    private Toast aviso;
    private String mensaje = "";
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        txtNombre = (EditText) findViewById(R.id.txtNombre);
        btnConfirmar = (Button) findViewById(R.id.btnConfirmar);
        txtConfirmar = (TextView) findViewById(R.id.txtConfirmar);
        btnConfirmar.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View v) {
                if(txtNombre.length()==0){
                    mensaje = "Escriba por favor su nombre completo";
                    aviso = Toast.makeText(getApplicationContext(), mensaje,Toast.LENGTH_SHORT);
                    aviso.show();
                }else{
                    builder = new AlertDialog.Builder(MainActivity.this);
                    LinearLayout layout = new LinearLayout(MainActivity.this);
                    TextView txtTienes = new TextView(MainActivity.this);
                    EditText edtEdad = new EditText(MainActivity.this);
                    TextView txtEdad = new TextView(MainActivity.this);
                    builder.setTitle(R.string.dialogoTitulo);
                    builder.setMessage(R.string.dialogoMensaje);
                    txtTienes.setText(R.string.dialogoTienes);
                    edtEdad.setInputType(InputType.TYPE_CLASS_NUMBER | InputType.TYPE_NUMBER_VARIATION_NORMAL);
                    edtEdad.setWidth(100);
                    edtEdad.setTextAlignment(EditText.TEXT_ALIGNMENT_CENTER);
                    edtEdad.setFilters(new InputFilter[]{
                            new InputFilter.LengthFilter(5)
                    });
                    txtEdad.setText(R.string.dialogoEdad);
                    layout.setOrientation(LinearLayout.HORIZONTAL);
                    layout.setPadding(30,0,30,0);
                    layout.setGravity(Gravity.CENTER);
                    layout.addView(txtTienes);
                    layout.addView(edtEdad);
                    layout.addView(txtEdad);
                    builder.setView(layout);
                    builder.setPositiveButton(R.string.dialogoBoton1, new DialogInterface.OnClickListener() {
                        @Override
                        public void onClick(DialogInterface dialog, int which) {
                            mensaje = txtNombre.getText() + ": Gracias por confirmar que tienes " + edtEdad.getText() + " años";
                            txtConfirmar.setText(mensaje);
                        }
                    });
                    builder.setNeutralButton(R.string.dialogoBoton3, new DialogInterface.OnClickListener() {
                        @Override
                        public void onClick(DialogInterface dialog, int which) {
                            mensaje = "Por favor revisa bien tu edad";
                            txtConfirmar.setText(mensaje);
                        }
                    });
                    builder.setNegativeButton(R.string.dialogoBoton2, new DialogInterface.OnClickListener() {
                        @Override
                        public void onClick(DialogInterface dialog, int which) {
                            mensaje = "¿Entonces que edad tienes?";
                            txtConfirmar.setText(mensaje);
                        }
                    });
                    AlertDialog dialogo = builder.create();
                    dialogo.show();
                }
            }
        });
    }
}